<template>
  
    <Editor/>
  
</template>

<script>
import Editor from './components/Editor.vue'
import {useStore} from "vuex"

export default {
  name: 'App',
  components: {
    Editor
  },
  setup(){
    const store = useStore();
    store.dispatch("initState") // initState via fetch
    //console.log(store.state.level);
    return {store}
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  /*margin-top: 60px;*/
}
</style>
